Bug 832491 - No text description of error 530
No text description of error 530
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: python-urlgrabber (Show other bugs)
7.0
Unspecified Unspecified
medium Severity low
: rc
: ---
Assigned To: James Antill
Branislav Náter
: Regression
Depends On: 896025
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 10:24 EDT by Branislav Náter
Modified: 2014-06-18 01:06 EDT (History)
1 user (show)

See Also:
Fixed In Version: python-urlgrabber-3.9.1-28.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:54:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Branislav Náter 2012-06-15 10:24:54 EDT
Description of problem:
python-urlgrabber does not report text description of error. In this case, no error description is shown when trying to access file on ftp using invalid credentials. This is regression against RHEL5 & 6

Version-Release number of selected component (if applicable):
python-urlgrabber-3.9.1-11.el7

How reproducible:
always

Steps to Reproduce:
- easiest way si to run test from QA Whiteboard
/CoreOS/python-urlgrabber/Sanity/authentication
  
Actual results:
[Errno 14] FTP Error 530 : ftp://user:pass@localhost/file.txt

Expected results:
RHEL5:
  [Errno 4] IOError: [Errno ftp error] 530 Login incorrect.
RHEL6:
  [Errno 14] PYCURL ERROR 67 - "Access denied: 530"

Additional info:
We'd like to see message "Login incorrect" or "Access denied" as in RHEL5 or 6.
Comment 3 Zdeněk Pavlas 2013-01-16 08:11:05 EST
Curl does not provide text descriptions, maybe it's a regression.  We translate HTTP errors via httplib.responses, but there's no similar table for FTP errors available.

When FTP login fails with response code 530, curl raises error 67 "Authentication failure".  I could add this to the error message.. Is "FTP Error 530 - Authentication failure" acceptable?
Comment 4 Branislav Náter 2013-01-16 08:32:21 EST
Yes this is acceptable. We'd like to see any reasonable text descripton of error. Thanks
Comment 5 Branislav Náter 2013-11-06 14:55:15 EST
Issue has been fixed in python-urlgrabber-3.10-1.el7. Reasonable message is printed instead of just error code 530. 

Test output:
<snip>
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ftp with invalid credentials
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

Traceback (most recent call last):
<snip>
urlgrabber.grabber.URLGrabError: [Errno 14] FTP Error 530 - Access denied: 530
:: [   PASS   ] :: Running './grab.py 'ftp://user:pass@localhost/file.txt' invalid.txt' (Expected 1, got 1)
urlgrabber.grabber.URLGrabError: [Errno 14] FTP Error 530 - Access denied: 530
:: [   PASS   ] :: File 'output' should contain 'Login incorrect|Access denied'
Comment 6 Ludek Smid 2014-06-13 08:54:44 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.